View Issue Details

IDProjectCategoryView StatusLast Update
13725Bug reports[All Projects] Survey takingpublic2018-06-27 15:29
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeveritymajor 
Status closedResolutionreopened 
Product Version3.8.x 
Target VersionFixed in Version3.11.x 
Summary13725: Bad behaviour of help with Expression Manager and em_validation_q_tip
Description

Help with Expression inside was moved to "EM dynamic help"

Steps To Reproduce

Import included survey : Help was partially moved to dynamic help

Additional Information

For 1 : when preview question : it's OK …

It's OK on 2.73

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.8.1 github
I will donate to the project if issue is resolvedNo
BrowserFF
Database & DB-Versionnot relevant
Operating System (Server)not relevant
Webserver software & versionnot relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2018-05-28 17:34

developer   ~47879

Send a fixed lss (with better validation tip …) and
Preview group : attended behaviour
Go survey : broken



limesurvey_survey_helpIssue_fixed.lss (14,796 bytes)
PreviewGroupe_OK.png (35,065 bytes)
PreviewGroupe_OK.png (35,065 bytes)
Survey_notOK.png (30,403 bytes)
Survey_notOK.png (30,403 bytes)
DenisChenu

DenisChenu

2018-06-17 12:47

developer   ~48200

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27442

c_schmitz

c_schmitz

2018-06-27 15:29

administrator   ~48343

Version 3.12.3+180627 released

Related Changesets

LimeSurvey: master 0d0a9fc6

2018-06-17 12:47:03

DenisChenu

Details Diff
Fixed issue 13725: Bad behaviour of help with Expression Manager and em_validation_q_tip
Dev: LimeExpressionManager::GetLastMoveResult(true) reset the substitutionNum
Dev: then there are a mix between id for user help and em help
mod - application/helpers/SurveyRuntimeHelper.php Diff File

Issue History

Date Modified Username Field Change
2018-05-28 17:30 DenisChenu New Issue
2018-05-28 17:30 DenisChenu Description Updated View Revisions
2018-05-28 17:34 DenisChenu File Added: limesurvey_survey_helpIssue_fixed.lss
2018-05-28 17:34 DenisChenu File Added: PreviewGroupe_OK.png
2018-05-28 17:34 DenisChenu File Added: Survey_notOK.png
2018-05-28 17:34 DenisChenu Note Added: 47879
2018-06-08 09:08 DenisChenu Severity minor => major
2018-06-11 10:33 LouisGac Assigned To => dominikvitt
2018-06-11 10:33 LouisGac Status new => assigned
2018-06-13 16:42 dominikvitt Status assigned => resolved
2018-06-13 16:42 dominikvitt Resolution open => fixed
2018-06-13 16:42 dominikvitt Fixed in Version => 3.11.x
2018-06-13 16:43 dominikvitt Status resolved => feedback
2018-06-13 16:43 dominikvitt Resolution fixed => reopened
2018-06-13 16:43 dominikvitt Status feedback => new
2018-06-13 16:44 dominikvitt Status new => assigned
2018-06-17 12:47 DenisChenu Changeset attached => LimeSurvey master 0d0a9fc6
2018-06-17 12:47 DenisChenu Note Added: 48200
2018-06-17 12:47 DenisChenu Assigned To dominikvitt => DenisChenu
2018-06-17 12:47 DenisChenu Status assigned => resolved
2018-06-27 15:29 c_schmitz Note Added: 48343
2018-06-27 15:29 c_schmitz Status resolved => closed